View Issue Details

IDProjectCategoryView StatusLast Update
0031331LazarusLCLpublic2019-01-22 09:28
ReporterAlexey Tor.Assigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux gtk2OSubuntu 14OS Version
Product VersionProduct Build 
Target Version1.6.4Fixed in Version1.7 (SVN) 
Summary0031331: Combobox: cannot select text by shift+left/right (Autodropdown)
DescriptionCan select txt by mouse here.Cannot select by shift+Left/Right. Popup shows on each key.
TagsNo tags attached.
Fixed in Revisionr54056
LazTarget1.6.4
Widgetset
Attached Files

Relationships

related to 0031247 resolvedMichl LCL TComboBox: modifier key triggers dropdown list 
related to 0034913 closedMichl Combobox - Invisible Mouse 

Activities

Alexey Tor.

2017-02-01 17:15

reporter  

tst-combo-shift+arr.zip (3,457 bytes)

Michl

2017-02-01 20:25

developer   ~0097890

Fixed in trunk revision 54056. Please test and close if ok. (I only tested Win32, GTK2, Qt4)

I make it Delphi compatible as much as I can see. Now only four keys should be different than in Delphi: <Up>, <Down>, <PgUp>, <PgDown>. These keys still open the DropDownWindow. To prevent this, you can do something like:

procedure TForm1.ComboBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key in [VK_UP, VK_DOWN, VK_NEXT, VK_PRIOR] then
    ComboBox1.DroppingDown := False;
end;

Issue History

Date Modified Username Field Change
2017-02-01 17:15 Alexey Tor. New Issue
2017-02-01 17:15 Alexey Tor. File Added: tst-combo-shift+arr.zip
2017-02-01 17:43 Michl Assigned To => Michl
2017-02-01 17:43 Michl Status new => assigned
2017-02-01 20:25 Michl Relationship added related to 0031247
2017-02-01 20:25 Michl Fixed in Revision => r54056
2017-02-01 20:25 Michl LazTarget => 1.6.4
2017-02-01 20:25 Michl Note Added: 0097890
2017-02-01 20:25 Michl Status assigned => resolved
2017-02-01 20:25 Michl Fixed in Version => 1.7 (SVN)
2017-02-01 20:25 Michl Resolution open => fixed
2017-02-01 20:25 Michl Target Version => 1.6.4
2019-01-20 21:58 Michl Relationship added related to 0034913
2019-01-22 09:28 Alexey Tor. Status resolved => closed